Subject: bug#47261: Destructuring with Pcase without assigning values

From: Stefan Monnier <[email-masked]>
Date: Fri, 16 Apr 2021 23:22:57 -0400

>> The `pcase` macro itself uses this function, so it should hopefully be
>> "good enough", but let me know if it's causing you trouble.
> This seems to work well for my use case. Thank you for making this change.

You're welcome.  It was actually a good change for the code's
readability as well.

> Are the variables always given in the order that they appear in the
> pattern?

I don't know.  Why?

> If not, is finding elements of the form "(\, SYMBOL)" enough to
> identify variables in a Pcase pattern?

No.  , is not even one of the core pcase patterns, it's only something
used within the ` pattern (which is not a core pattern either; it is
defined via `pcase-defmacro`).

        Stefan